/*
    Copyright (C) 2000-2001 AROS - The Amiga Research OS
    $Id: beep.c,v 1.1.1.1 2005/03/15 16:01:02 laire Exp $
 
    Desc: Beep
    Lang: English
*/

/*****************************************************************************
 
    NAME
	Beep
 
    FORMAT
	Beep
 
    SYNOPSIS
 
    LOCATION
	Workbench:C
 
    FUNCTION
	BEEP produces a beep via Intuition DisplayBeep(NULL).
 
    EXAMPLE
 
    SEE ALSO
 
******************************************************************************/

#include <exec/memory.h>
#include <dos/dos.h>
#include <intuition/intuitionbase.h>
#include <proto/intuition.h>
#include <proto/exec.h>

#include <stdio.h>

#include "beep_version.h"

static const char version[] = VERSTAG;

int main(void)
{
    struct Library *SysBase = *((struct Library**) 4);
    struct IntuitionBase *IntuitionBase;

    IntuitionBase = (struct IntuitionBase*) OpenLibrary("intuition.library", 33);
    if (IntuitionBase)
    {
        DisplayBeep(NULL);
        CloseLibrary((struct Library *) IntuitionBase);

        return RETURN_OK;
    }

    return RETURN_FAIL;
}

